package io.gitlab.jfronny.libjf.devutil.mixin;

import com.mojang.brigadier.*;
import net.minecraft.server.command.*;
import org.spongepowered.asm.mixin.*;
import org.spongepowered.asm.mixin.injection.*;

@Mixin(CommandManager.class)
public class CommandManagerMixin {
    @Redirect(method = "<init>(Lnet/minecraft/server/command/CommandManager$RegistrationEnvironment;Lnet/minecraft/command/CommandRegistryAccess;)V", at = @At(value = "INVOKE", target = "Lnet/minecraft/server/command/TestCommand;register(Lcom/mojang/brigadier/CommandDispatcher;)V"))
    private void register(CommandDispatcher<?> dispatcher) {
        // Ignored: would cause an issue
    }
}
